Subject: Wanted: Right Said Fred, Talking Heads, J.Siberry, etc
Newsgroups: rec.music.marketplace

Hi, if anybody's about to sell back the following from their collection,
I'll offer $7 (that already includes postage, which can be done for about $1)
for the following CDs:

Right Said Fred		I'm Too Sexy single	[$3.50]
Right Said Fred 	[the album with that song]
King Crimson		The Concise KC
The Kinks		Come Dancing
Marshall Crenshaw	[self-titled]
Talking Heads		Remain in Light
Talking Heads		The Name of This Band Is
Violent Femmes		New Times
Zap Mama		[the first album]
Jane Siberry		[any but Bound by Beauty]
Sheila Chandra		The Zen Kiss
Sheila Chandra		Silk
Emily Bezar		[any]
Laureena McKennit (sp?)	[any]
Meryn Cadell		Angel Food for Thought	[$5]
Penguin Cafe Orch	[any]
Liz Phair		Whip-Smart
Guided By Voices	[any]
The Chameleons		Fan & Bellows	[trade for Chameleons: Tripping Dogs]

(Of course, by [any] I mean any full-length disc.)
Let me know if you were thinking of selling any of these!